QGIS Application - Bug report #17614
Error with Proccesing tools and GeoPackage (QGIS v2.99)
2017-12-04 03:34 AM - Samuel Fernando Mesa Giraldo

Status: Feedback

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Arch Linux x64 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25511
Description

I'm using the default GeoPackage format for databases, but when | try to use a processing tool of GDAL, GRASS GIS or SAGA GIS, it
does not recognize the format or it just closes unexpectedly. | have used Buffer Vector from GDAL, v.buffer.distance from GRASS GIS
and F_ixed distance buffer_ from SAGA GIS and none with results.

In the case of GDAL, it always converts the layer to SHAPEFILE and consequently does not recognize the shortened fields.

In the case of GRASS GIS, it always appears that the GPKG format is not recognized.

In the case of SAGA GIS, returns the following error, closing the QGIS program:

(Make sure 'QTextCursor' is registered using qRegisterMetaType().)

src/core/ggsmessagelog.cpp: 27: (logMessage) [1ms] [thread:0x7f66d8008f30] 2017-12-03T21:31:03 Processing[0] SAGA
execution commands

shapes_tools "Shapes Buffer" -SHAPES
"/tmp/processing_ce203365c¢f1d4a0dbabdc6c42a7923fb/88f882df27f04f47ba0de04def37¢c1b7/SHAPES.shp”
-DIST_FIELD_DEFAULT 100.0 -NZONES 1 -DARC 5.0 -DISSOLVE true -POLY_INNER false -BUFFER
"/home/samtux/tmp/salida.gpkg”

*** Error in "./qgis': double free or corruption (!prev): 0x0000564e272961e0 ***

Abortado (‘core' generado)

History

#1 - 2017-12-04 03:45 AM - Samuel Fernando Mesa Giraldo

For PostGIS layers get the next error:
src/core/qgsmessagelog.cpp: 27: (logMessage) [30ms] [thread:0x55a59111cf50] 2017-12-03T21:44:42 Qt[1] QObject::connect: Cannot queue
arguments of type 'QTextCursor’'

(Make sure 'QTextCursor' is registered using gRegisterMetaType().)
QGIS died on signal 11Abortado (‘core' generado)

#2 - 2019-03-09 04:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
Files

test_points.gpkg 224 KB 2017-12-04 Samuel Fernando Mesa Giraldo
